<?php

include_once '../../sys/inc/start.php';

include_once '../../sys/inc/compress.php';

include_once '../../sys/inc/sess.php';

include_once '../../sys/inc/home.php';

include_once '../../sys/inc/settings.php';

include_once '../../sys/inc/db_connect.php';

include_once '../../sys/inc/ipua.php';

include_once '../../sys/inc/fnc.php';

include_once '../../sys/inc/user.php';



only_reg();



$set['title']='Заметки-Добавление';

include_once '../../sys/inc/thead.php';



aut();

title();

echo"<div class='foot'>\n";

echo"<a href='index.php'>Заметки</a><br />\n";

echo"</div>\n";

if (isset($_GET['add']) && isset($_POST['name']) && $_POST['name']!=NULL && isset($_POST['msg']))

{

$msg=mysql_real_escape_string($_POST['msg']);

$name=mysql_real_escape_string($_POST['name']);



if (strlen2($name)<3)$err='Короткое название';

if (strlen2($name)>50)$err='Длина названия превышает предел в 50 символов';

if (strlen2($msg)<3)$err='Короткий Текст';

if (strlen2($msg)>10000)$err='Длина текста превышает предел в 10 000 символов';



if ($user['group_access']==0){

if (!isset($_SESSION['captcha']))$err[]='Ошибка проверочного числа';

if (!isset($_POST['chislo']))$err[]='Введите проверочное число';

elseif ($_POST['chislo']==null)$err[]='Введите проверочное число';

elseif ($_POST['chislo']!=$_SESSION['captcha'])$err[]='Проверьте правильность ввода проверочного числа';}



if(isset($_POST['privat']))

{

if($_POST['privat'] == 1) $privat='1';

else $privat='0'; 

}

else $privat='0';



if (!isset($err))

{

mysql_query("INSERT INTO `blog_list` (`id_user`, `name`, `msg`, `time`, `privat`) values('$user[id]', '$name', '$msg', '$time', '$privat')");$st = mysql_insert_id();$q = mysql_query("SELECT * FROM `frends` WHERE `user` = '".$user['id']."' AND `i` = '1'");while ($f = mysql_fetch_array($q)){$a=get_user($f['frend']);mysql_query("INSERT INTO `tape` (`id_user`,`avtor`, `type`, `time`, `id_sim`) values('$a[id]', '$user[id]', 'notes', '$time', '$st')"); }

$_SESSION['message']='Запись успешно добавлена'; header("Location: list.php?id=$st");

}

}

err();



if (isset($user) || (isset($set['write_guest']) && $set['write_guest']==1 && (!isset($_SESSION['antiflood']) || $_SESSION['antiflood']<$time-300)))

{

echo "<form style='margin:1px;' method='post' action='?add'>\n";

echo "Название:<br />\n<input type=\"text\" name=\"name\" value=\"\" /><br />\n";



echo "Текст: <br />";

echo "<textarea name=\"msg\"></textarea><br />";

echo "<div class='foot'><a href='/smiles.php'>Смайлы</a></div>";

echo "<label><input type=\"checkbox\" name=\"privat\" value=\"1\" />Приватная заметка</label><br />\n";if ($user['group_access']==0)

echo "<img src='/captcha.php?SESS=$sess' width='100' height='30' alt='Проверочное число' /><br />\n<input name='chislo' size='5' maxlength='5' value='' type='text' /><br/>\n";

echo "<input value=\"Добавить\" type=\"submit\" />\n";

echo "</form>\n";

}





include_once '../../sys/inc/tfoot.php';



?>